Bug 864384 - virsh list get error msg when connect ESXi5.0 server
virsh list get error msg when connect ESXi5.0 server
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Osier Yang
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 06:15 EDT by Ming Tian
Modified: 2013-03-01 00:05 EST (History)
8 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:09:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ming Tian 2012-10-09 06:15:30 EDT
Description of problem:
when using virsh list on connecting esxi5.0 server,will get error msg:failed to list domains, internal error Could not get name of virtual machine

Version-Release number of selected component (if applicable):
libvirt-0.10.2-2.el6.x86_64
kernel-2.6.32-309.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. virsh -c esx://10.66.6.211/?no_verify=1 list --all

Actual results:
error:failed to list domains,
error:internal error Could not get name of virtual machine

Expected results:
list all domains.

Additional info:
This works on libvirt-0.10.1-1.el6.x86_64.rpm, so it's a regression bug.
Comment 3 Dave Allan 2012-10-09 09:07:12 EDT
(In reply to comment #0)
> Additional info:
> This works on libvirt-0.10.1-1.el6.x86_64.rpm, so it's a regression bug.

Does it work on the last released RHEL version?
Comment 4 zhe peng 2012-10-09 22:34:53 EDT
Hi Dave
   Yes, it worked on RHEL6.3 released version,libvirt build is libvirt-0.9.10-21
Comment 5 Osier Yang 2012-10-09 23:44:57 EDT
The problem could be reproduced, and introduced by commit:

commit 9e0ba44faf79af55fe502c9b72c7fc5998c46a9d
CommitDate: Thu Sep 6 11:06:10 2012 +0200


Fixed by commit:

commit 5fc663d8bedc082585941e1453229cdcf5fe2880
CommitDate: Sat Sep 29 21:06:19 2012 +0200

The fix commit is not in the latest RHEL build yet.
Comment 8 Alex Jia 2012-10-15 21:52:51 EDT
Hi Osier,
The question hasn't been fixed on libvirt-0.10.2-3.el6, I still got previous error:

# virsh -c esx://10.66.6.211/?no_verify=1
Enter username for 10.66.6.211 [root]: root
Enter root's password for 10.66.6.211: 
2012-10-16 01:48:59.899+0000: 8487: info : libvirt version: 0.10.2
2012-10-16 01:48:59.899+0000: 8487: warning : esxVI_Context_Connect:844 : Found untested VI API major/minor version '5.1'
2012-10-16 01:48:59.899+0000: 8487: warning : esxVI_Context_Connect:880 : Found untested ESX major/minor version '5.1.0'
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh # list
error: Failed to list domains
error: internal error Could not get name of virtual machine


Regards,
Alex
Comment 9 Osier Yang 2012-10-16 05:15:27 EDT
(In reply to comment #8)
> Hi Osier,
> The question hasn't been fixed on libvirt-0.10.2-3.el6, I still got previous
> error:
> 

I don't see the problem, please make sure your libvirt-client is 0.10.2-3.
Comment 10 Alex Jia 2012-10-16 05:19:24 EDT
(In reply to comment #9) 
> I don't see the problem, please make sure your libvirt-client is 0.10.2-3.

Very weird, it works for me now, so move the bug to VERIFIED status.

# virsh -c esx://10.66.6.211/?no_verify=1 list --all
Enter username for 10.66.6.211 [root]: root
Enter root's password for 10.66.6.211: 
2012-10-16 09:10:28.610+0000: 16213: info : libvirt version: 0.10.2, package: 3.el6 (Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>, 2012-10-15-06:44:29, x86-007.build.bos.redhat.com)
2012-10-16 09:10:28.610+0000: 16213: warning : esxVI_Context_Connect:844 : Found untested VI API major/minor version '5.1'
2012-10-16 09:10:28.610+0000: 16213: warning : esxVI_Context_Connect:880 : Found untested ESX major/minor version '5.1.0'
 Id    Name                           State
----------------------------------------------------
 -     esx5.1-6.2#-i386               shut off
 -     esx5.1-multidisks-test         shut off
 -     esx5.1-rhel3.9-i386            shut off
 -     esx5.1-rhel3.9-x86_64          shut off
 -     esx5.1-rhel3.9-x86_64-test     shut off
 ...
Comment 11 errata-xmlrpc 2013-02-21 02:09:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.